> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment logos image

> Endpoint that returns an svg that can be used to show the world your payment options. [Go to the documentation for the checkout branding endpoints.](/docs/checkout/display-payment-logos)



## OpenAPI

````yaml /mintlify-docs/openapi/spec-payments.yaml get /branding/logos/{logos}/variant/{variant}/color/{color}/width/{width}/{template}
openapi: 3.0.0
info:
  title: Payments API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    Public endpoints for payments, including checkout, payout and settlement
    reports.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://checkout.dintero.com/v1
security:
  - apikey: []
tags:
  - name: Transactions
    x-displayName: Transactions
    description: |
      View and perform operations on transactions
  - name: session
    x-displayName: Sessions
    description: |
      A Checkout Session relates to an order in your system.
      When an order has been placed you create a corresponding Checkout Session
      to receive payment for that order.
  - name: payment
    x-displayName: Payment
    description: |
      Resources used by the customer aka user to complete the payment of a
      session.
  - name: settlements
    x-displayName: Settlement reports
    description: Get settlement reports generated per payout
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
  - name: reports
    x-displayName: Reports
    description: List the generated monthly transaction reports
  - name: example-session-callbacks
    x-displayName: Callback
    description: |
      Example of recieved callbacks from Dintero's servers.
  - name: fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: Sellers
    x-displayName: Sellers
    description: Manage the signup of a new Seller / Merchant account
  - name: example-session-callbacks
    x-displayName: Example Callbacks
    description: Example of callbacks delivered
  - name: v2-fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: v2-config-payout-destinations
    x-displayName: Sellers
    description: Get payout data for sellers
paths:
  /branding/logos/{logos}/variant/{variant}/color/{color}/width/{width}/{template}:
    get:
      tags:
        - Generate checkout image
      summary: branding_logoframe
      description: >-
        Endpoint that returns an svg that can be used to show the world your
        payment options. [Go to the documentation for the checkout branding
        endpoints.](/docs/checkout/display-payment-logos)
      operationId: branding_logoframe
      parameters:
        - name: logos
          description: >
            logos for payment types separated by underscore eg.
            `visa_mastercard_vipps_swish_instabank`
          in: path
          required: true
          schema:
            type: string
        - name: variant
          description: |
            Image variant, multi-colors or mono-colored.
          in: path
          required: true
          schema:
            type: string
            enum:
              - colors
              - mono
        - name: color
          description: >
            rgb hex color without the \# character or an rbg() or rgba() color
            code.
          in: path
          required: true
          schema:
            type: string
        - name: width
          description: |
            width of image
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9]*$
        - name: template
          description: |
            Template for branding image
          in: path
          required: true
          schema:
            type: string
            enum:
              - dintero_top_frame.svg
              - logos.svg
      responses:
        '200':
          description: An svg image
        '404':
          description: Not found
      security: []
components:
  securitySchemes:
    apikey:
      type: apiKey
      in: header
      description: >
        X-API-Key authentication for accessing regular endpoints. Use

        [Create api-key](/checkout-api/api-keys/admin_api_keys_post) to create a
        key.


        The content of the header should look like the following:

            x-api-key: {api_key}
      name: x-api-key

````